flow123d_version: 2.0.0
COMMENT_Stop_time: '1275'
problem: !Coupling_Sequential
  description: Steady flow + transport with time dependent source
  mesh:
    mesh_file: ../00_mesh/rectangle_2x5.msh
    regions:
      - !From_Elements
        name: left_source
        id: 100
        element_list:
          - 124
      - !From_Elements
        name: right_source
        id: 200
        element_list:
          - 721
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    n_schurs: 2
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: 0.2*y
      - rid: 7
        cross_section: 1
        conductivity: 1
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream: 
      file: ./flow_test16.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: .IMPLICIT_BOUNDARY
          bc_conc: 0
        - rid: 7
          init_conc: 0
          porosity: 1
        - rid: 100
          sources_density: !FieldFormula
            value: max(4-t,0)
        - rid: 200
          time: 2
          sources_sigma: 1
          sources_conc: 1
        - rid: 200
          time: 4
          sources_sigma: 0
        - rid: 7
          time: 4
          porosity: !FieldFormula
            value: 4/t
      solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    dual_porosity: false
    output_stream: 
      file: ./transport_test16.pvd
      format: !vtk
        variant: ascii
      name: transport_output_stream
      times:
        - step: 1
    substances:
      - conc
    time:
      end_time: 10
      max_dt: 1.0
      min_dt: 1.0
    balance:
      cumulative: true